Bug 158001 - new port: www/p5-Apache2-SiteControl, Perl web site authentication/authorization system
Summary: new port: www/p5-Apache2-SiteControl, Perl web site authentication/authorizat...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-18 22:00 UTC by Nick Hilliard
Modified: 2011-09-03 06:40 UTC (History)
0 users

See Also:


Attachments
file.shar (2.90 KB, text/plain)
2011-06-18 22:00 UTC, Nick Hilliard
no flags Details
sitecontrol.sh (3.47 KB, application/x-sh)
2011-06-19 14:55 UTC, Nick Hilliard
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Hilliard 2011-06-18 22:00:23 UTC
New port: p5-Apache2-SiteControl.
Comment 1 Edwin Groothuis freebsd_committer 2011-06-18 22:00:34 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Nick Hilliard 2011-06-19 14:55:43 UTC
oops, screwed up the dependencies.  here's an updated version of the port.

Incidentally, this should be installed as www/p5-Apache2-SiteControl

Nick
Comment 3 Martin Wilke freebsd_committer 2011-06-25 11:11:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2011-06-25 11:11:10 UTC
miwi        2011-06-25 10:11:01 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/p5-Apache2-SiteControl Makefile distinfo pkg-descr 
                               pkg-plist 
  Log:
  Apache2::SiteControl is a set of perl object-oriented classes that implement
  a fine-grained security control system for a web-based application.  The
  intent is to provide a clear, easy-to-integrate system that does not require
  the policies to be written into your application components.  It attempts to
  separate the concerns of how to show and manipulate data from the concerns
  of who is allowed to view and manipulate data and why.
  
  WWW: http://search.cpan.org/dist/Apache2-SiteControl/
  
  PR:             ports/158001
  Submitted by:   Nick Hilliard <nick at foobar.org
  
  Revision  Changes    Path
  1.2908    +1 -0      ports/www/Makefile
  1.1       +26 -0     ports/www/p5-Apache2-SiteControl/Makefile (new)
  1.1       +2 -0      ports/www/p5-Apache2-SiteControl/distinfo (new)
  1.1       +8 -0      ports/www/p5-Apache2-SiteControl/pkg-descr (new)
  1.1       +13 -0     ports/www/p5-Apache2-SiteControl/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2011-09-03 06:31:21 UTC
sunpoet     2011-09-03 05:31:07 UTC

  FreeBSD ports repository

  Modified files:
    www/p5-Apache2-SiteControl Makefile pkg-plist 
  Log:
  - Add leftover dependencies and OPTIONS in original NEW PORT submission [1]
  - Bump PORTREVISION for dependency change [2]
  - While I'm here, sort MAN3
  
  PR:             ports/158001 [1], ports/158923 [2]
  Submitted by:   Nick Hilliard <nick@foobar.org> (maintainer)
  
  Revision  Changes    Path
  1.2       +26 -4     ports/www/p5-Apache2-SiteControl/Makefile
  1.2       +2 -2      ports/www/p5-Apache2-SiteControl/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"